/*
Script Name: NHWS CSS Accordion
Author: ҁ[
Author URI: https://nhws.localinfo.jp/
*/

window.addEventListener('load', () => {
  setAccordionScrollHeight();
  setAddEvent2RadioBtn();
});

const setAccordionScrollHeight = () => {
  const content = document.querySelectorAll(".ac-content");
  content.forEach((elm, index) => {
    const height = elm.scrollHeight;
    elm.style.setProperty("--ac-max-height", height + "px");
  });
};

const setAddEvent2RadioBtn = () => {
  const radioBtns = document.querySelectorAll(".ac-radio");
  radioBtns.forEach(radioBtn => {
    let label = document.querySelector('label[for="' + radioBtn.id + '"]');
    if(label){
      label.addEventListener("mouseup", ()=>{
        if(radioBtn.checked){
          setTimeout(()=>{
            radioBtn.checked = false;
          },100);
        }
      });
    }
  });
};
